# Raquette Fracassante

Projet d'étude pour les JDLL 2024.

## Objectif

Améliorer un jeu de base pour le transformer en casse-brique ultime !

## Ressources

### Graphismes

#### Alpha bounce

La plupart des ressources graphiques du jeu ont été créées par Motion Twin, et proviennent de leur casse-brique en ligne Alpha Bounce. Ce jeu n'est plus en ligne aujourd'hui.

Elles sont disponibles sur [leur dépôt d'archive de leurs anciens jeux en ligne](https://github.com/motion-twin/WebGamesArchives).

Licence : [Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International](http://creativecommons.org/licenses/by-nc-sa/4.0/)

#### Bevoulinn

Le fond de l'espace est fourni par [bevouliin.com](https://bevouliin.com/), et a été récupéré sur [OpenGameArt.Org](https://opengameart.org/content/bevouliin-free-space-background).

Licence : [Creative Commons public domain zero (CC0)](https://creativecommons.org/publicdomain/zero/1.0/)

#### Kenney

Les curseurs de souris proviennent [du paquet de curseurs de Kenney](https://kenney.nl/assets/cursor-pack). N'hésitez pas à consulter les autres ressources mises à disposition, et à les soutenir dans leur travail !

Licence : [Creative Commons public domain zero UNIVERSAL (CC0 1.0)](https://creativecommons.org/publicdomain/zero/1.0/).

### Audio

#### Musiques

Les musiques sont fournies par [Nomys Tempar](https://nomys-tempar.itch.io/).

Licence : [Art libre](https://artlibre.org/).

#### Bruitages

Les effets sonores ont été générés avec [sfxr](http://www.drpetter.se/project_sfxr.html), un générateur libre de bruits. Il existe une version directement utilisable depuis un navigateur : [jsfxr](https://sfxr.me/).

### Code source

Le code a été écrit par [Dricom Dragon](https://dricomdragon.itch.io/).

Licence : [GNU Public License v3](https://www.gnu.org/licenses/gpl-3.0.en.html), aussi disponible dans le [fichier local LICENSE](./LICENSE).
